Description

We need to see the sender of the email the issue is created on mail import, so we can establish a support line via redmine.
At the moment we only see anonymous for issue author and therefore can't "call" em back. We don't know where the issue came
from.

Why not show the sender email, without having a "full" user account?

We don't want to auto create users because all of them will immidiately get mails on any action on their tickets. This is related to the
fact we can't configure default settings - see #11211

Furthermore auto creation of user account for support line for "outside" customers will not fit logically toegether when using Idap auth
for "internal" project members - i know it works technically, but it feels pitty.

| think saving sender mail to issue body will be also an "option".

Related issues:

Related to Redmine - Feature #11211: configure default settings for users get... New
Related to Redmine - Feature #21158: Send E-Mail to Redmine: Copy E-Mail Head... New
Has duplicate Redmine - Feature #19545: unknown_user=accept - put email addre... Closed
Has duplicate Redmine - Feature #10861: Processing incoming e-mails from anon... Closed
History

#1 - 2012-06-20 19:10 - Terence Mill

The problem is that if i set default notification to "Only to things | am assigned to" the auto created user still gets mail for the issue is created for the
mail he send. That baffles our customers, because they don't even know of redmine being used and so don't shall to.

#2 - 2012-06-20 19:14 - Terence Mill

An moreover importnat the user even get a mail if he is created with user an password, what is even worse if we only want Idap for authentification
#3 - 2012-09-24 13:44 - Maciej Maczynski

| had the same problem, and | patched Redmine as follows:

File: redmine/app/models/mail_handler.rb

In the method receive_issue, you will find a line like that:

issue.description = cleaned_up_text_body

After this line, | added the following:

sender_addr = email.from.to_a.first.to_s.strip
issue.description = "Reported by e-mail by [#{sender_addr}]:\n" + issue.description;

This puts sender address at the front of issue description text.

Yes, this is lousy work-around.
The solution, | think, would be a mailer-task option to store sender address together with the issue.

#4 - 2012-09-30 07:01 - Toshi MARUYAMA

- Category set to Email receiving

#5 - 2014-03-27 00:00 - Jan S
https://www.redmine.org/issues/11211

- File add_copy_sender _to_ticket_option.diff added

I've added a little patch that adds a "copy_sender_to_ticket" option to the mail handling. A more advanced patch with further configuration options
(e.g. copy mailheaders) would still be interesting but right now this works for me and | wouldn't mind if this would be included right away as one can
always further extend this as time goes by.

#6 - 2015-04-02 01:53 - Go MAEDA

- Related to Feature #19545: unknown_user=accept - put email address of sender in description added

#7 - 2015-04-02 01:53 - Go MAEDA

- Related to deleted (Feature #19545: unknown_user=accept - put email address of sender in description)

#8 - 2015-04-02 01:53 - Go MAEDA

- Has duplicate Feature #19545: unknown_user=accept - put email address of sender in description added

#9 - 2015-05-01 08:12 - Toshi MARUYAMA

- Related to Feature #11211: configure default settings for users getting created automatically via email import added

#10 - 2019-02-09 08:54 - Go MAEDA

- Has duplicate Feature #10861: Processing incoming e-mails from anonymus users added

#11 - 2019-02-09 09:05 - Go MAEDA
- Related to Feature #21158: Send E-Mail to Redmine: Copy E-Mail Header into Ticket Note added

Files

add_copy_sender_to_ticket_option.diff 660 Bytes 2014-03-26 Jan S
